<?php
/*
 * Created For BZ9.com
 * Author: Dave
 * Copyright: BZ9.com
 * Licence: Commercial, See included licence file.
 */
if(!defined("APPLICATION_PATH")){ die("No DIRECT Access"); }
if(!defined("DEBUG")){define("DEBUG",false);}
class logger
{
    private $debug_events = array ('class_load','controller_called','method_called','shortlink');
    private $error_events = array ();

    public function __construct()
    {

    }

    public function log($event,$log)
    {
        if($this->is_debug_event($event))
        {
            if(DEBUG){
                $this->logit("debug",$event,$log);
            }
        }
    }

    private function is_debug_event($event)
    {
        if($event == ""){ return false;}
        if(in_array($event, $this->debug_events)){
            return true;
        }
        return false;
    }

    private function logit($logtype,$event,$log)
    {

        $newlog = date("d/m/Y H:i:s")." -- ".$event." -- ".$log."\n";

        if($logtype == "debug")
        {
            $debugfile = APPLICATION_PATH."logs/debug.log";
            if(is_writeable($debugfile)){
                $handle = fopen($debugfile, 'a+');
                fwrite($handle, $newlog);
                fclose($handle);
            }
        }
    }
}
