<?php
/*
* Created For BZ9.com
* Author: Dave
* Copyright: BZ9.com
* Licence: Commercial, See included licence file.
*/
if(!defined("APPLICATION_PATH")){ die("No DIRECT Access"); }

if(isset($remote_error))
{
    echo '<div id="notice">There was a problem connecting to the update server.<br>please check again later.</div>';
    echo "<div id='installed_version'>Installed Version : $current_version</div>";
    exit;
}

$log = $remote->log;
$news = $remote->news;
if($current_version < $remote->current_version)
{
    echo '<div class="update_found">Update Available</div><div class="dl_info">Please check below for update details.</div>';
} else {
    echo '<div class="update_not_found">You are using the most current version</div>';
}
?>
<div id='installed_version'><div class='ver_item'>Installed Version:</div><div class='ver_item_amt'><?php echo $current_version; ?></div></div
<div id='current_version'><div class='ver_item'>Available Version:</div><div class='ver_item_amt'><?php echo $remote->current_version; ?></div>
    <div class='released_on'><i>Released On :</i> <?php echo date("jS M Y",strtotime($remote->current_version_date)); ?></div></div>


<?php
if(count($log) > 0)
{
    echo '<div id="release_title">Release Notes</div>';
    foreach($log as $entry)
    {
        echo '<div class="log_entry">'.$entry->log_data.'</div>';
    }
}
if(count($news) > 0)
{
    echo '<p>Latest News</p>';
    foreach($news as $entry)
    {
        echo '<div class="news_entry">'.$entry->news_data.'</div>';
    }
}
?>
